@import "variables";

.item {
  cursor: pointer;

  span {
    padding-left: 12px;
    position: relative;
    white-space: nowrap;

    font-family: $roboto-regular;
    font-weight: 500;
    font-size: 14px;
    line-height: 22px;
    color: $neutral-50;

    &::before {
      border-bottom: 1px solid $neutral-30;
      border-left: 1px solid $neutral-30;
      bottom: 7px;
      content: "";
      height: 100%;
      left: -10px;
      position: absolute;
      width: 18px;
    }
  }

  &.item-active span {
    &.mo-manage {
      font-family: $roboto-bold;
    }
  }

  &__content {
    display: flex;
    gap: 8px;
    .tooltip-icon {
      margin: auto 0;
    }
  }
}

.item.sub-menu span {
  padding-left: 20px;
  font-weight: normal;
  font-size: 12px;
  line-height: 18px;

  &.premium {
    color: $main-indigo-60;
  }

  &::before {
    width: 24px !important;
  }
}

.item-active {
  .premium {
    background: $main-indigo-10;
    border: 1px solid $main-indigo-20;
    box-sizing: border-box;
    margin-left: -1px;
    padding: 3px 12px !important;
    border-radius: 4px;
  }
}
